Update a track

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update tracks in your DISCO using our track ID. You can update most aspects of a track, including files, metadata, custom fields, artwork, lyrics and tags. The PATCH request will only update the fields you specify, leaving the rest as they were, except for mp3s, see below.

If you want to clear a field, simply leave the field empty. You can also clear tags from a track by providing an empty Tags array.

Regardless of the filetype that is provided (e.g. mp3), DISCO will not read metadata from the file.

Include all necessary metadata in the body of the request when updating a track.

On transcoding mp3

If you are providing a new lossless file for us to fetch (e.g. wav or aiff), we will automatically transcode a new mp3 and replace the existing mp3.

On tags and custom fields

You can update (custom) track tags and custom fields information into a track. These need to be present in your DISCO to work.

For example, if you want to include a Genre tag that is not part of our default tags, such as EDM, you will need to create the tag in your DISCO before being able to include this tag with a track.

The same is true for custom fields.

Trying to write a tag or custom field that is not present in your DISCO will result in a 400 - key is not supported! error.

Accept or reject AI transcribed lyrics

Every track will have a "ai_transcribed_lyrics"flag. If this is truethen the lyrics were transcribed by AI within DISCO and have not been accepted or rejected by a user in the UI. Through a PATCHrequest, you can accept or reject the lyrics and, in an additional call, make edits if required.

Using confirm_lyricsin the request body will allow you to either accept or reject ai_transcribed_lyrics.

Other errors

  • Omitting the trailing / at the end of the URL will result in a 403 Forbidden error.
  • Since we are fetching the audio file from the destination you specify, there may be errors where we cannot retrieve the file successfully. If that is the case, we will retry fetching the file up to 10 times. If we cannot retrieve the files, you may end up with a track that is missing its audio file. We can set up an email notification that is sent to an inbox of your choice to alert you if this occurs. Please let our support team know what this address should be.
  • We don't support accepting/rejecting ai_transcribed_lyrics and making changes to lyrics at the same time. Please make additional calls if you like to edit lyrics you've accepted in a previous call.
Path Params
int32
required
Defaults to 66309318
Body Params
files
object

list of data with track files

string

external id of track (your ID)

string

url to artwork image

metadata
object

additional metadata dictionary, including custom fields, can be empty, in format “key”: “value”

tags
array of strings

list of tag names to add (only existing tags are available now)

tags
group_ids
array of int32s

ids of groups, such as channels

group_ids
boolean
Defaults to true

set to true to accept ai_transcribed_lyrics or false to reject the lyrics

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json